Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Class ListEditorPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iface.ui.AbstractEditorPanel
                          ix.iface.ui.ListEditorPanel

All Implemented Interfaces:
  IXEditorPanel, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener

Direct Known Subclasses:
  DeclarationEditor.VarListEditor, ToggleEditorPanel

    public class ListEditorPanel

extends AbstractEditorPanel
implements java.awt.event.ActionListener, javax.swing.event.ListSelectionListener

A simple panel with a label (title), a component, and optional buttons. The given label will be at the top, the given component at the left and buttons with given labels on the right. Adds the given listener to the buttons and the list.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.ui.AbstractEditorPanel
`AbstractEditorPanel.ListRightClickMenuItem`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class ix.iface.ui.AbstractEditorPanel
`border, butPanel, deminBut, deminIcon, isBordered, itemComponent, minBut, minIcon, nameLabel, scrollPan, xDeminIcon, xMinIcon`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ListEditorPanel()`
`ListEditorPanel(boolean isBordered)`
`ListEditorPanel(java.util.EventListener ml, java.lang.String label, boolean minimise, javax.swing.JComponent component)`
`ListEditorPanel(java.util.EventListener ml, java.lang.String label, boolean minimise, javax.swing.JComponent component, java.lang.String[] buttons)`
`ListEditorPanel(java.util.EventListener ml, java.lang.String label, boolean minimise, java.lang.String[] buttons)`
`ListEditorPanel(java.util.EventListener ml, java.lang.String label, javax.swing.JComponent component)`
`ListEditorPanel(java.util.EventListener ml, java.lang.String label, javax.swing.JComponent component, java.lang.String[] buttons)`
`ListEditorPanel(java.util.EventListener ml, java.lang.String label, java.lang.String[] buttons)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)`
`void` | `addListSelectionListener(javax.swing.event.ListSelectionListener lsl)`
`java.lang.Object` | `getData()` Gets the current data of a collection component.
`int` | `getSelectedIndex()`
`java.lang.Object` | `getSelectedObject()`
`boolean` | `isListItem()` Checks whether the item component can take lists (e.g.
`void` | `removeData()` Removes all data from the item component
`void` | `removeListSelectionListener(javax.swing.event.ListSelectionListener lsl)`
`void` | `setData(java.lang.Object data)` Sets the data of a collection component.
`void` | `setListData(java.lang.Object[] data)`
`boolean` | `setRenderer(javax.swing.ListCellRenderer r)` Sets the renderer if the itemComponent is a JList or a JComboBox;
`void` | `setSelectedIndex(int index)`
`void` | `setSelectedObject(java.lang.Object object)`
`void` | `valueChanged(javax.swing.event.ListSelectionEvent lse)`

Methods inherited from class ix.iface.ui.AbstractEditorPanel
`addComponentListener, adviseMinimise, dataSet, deMinimise, ensureRightClickMenu, getItemComponent, getName, hasData, isListItem, isMinimisable, isMinimised, isScrollItem, larger, makePanelComponent, makeRightClickMenu, minimise, setEnabled, setLabel, smaller`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListEditorPanel

    public ListEditorPanel()

### ListEditorPanel

    public ListEditorPanel(boolean isBordered)

### ListEditorPanel

    public ListEditorPanel(java.util.EventListener ml,
                           java.lang.String label,
                           javax.swing.JComponent component)

### ListEditorPanel

    public ListEditorPanel(java.util.EventListener ml,
                           java.lang.String label,
                           java.lang.String[] buttons)

### ListEditorPanel

    public ListEditorPanel(java.util.EventListener ml,
                           java.lang.String label,
                           javax.swing.JComponent component,
                           java.lang.String[] buttons)

### ListEditorPanel

    public ListEditorPanel(java.util.EventListener ml,
                           java.lang.String label,
                           boolean minimise,
                           javax.swing.JComponent component)

### ListEditorPanel

    public ListEditorPanel(java.util.EventListener ml,
                           java.lang.String label,
                           boolean minimise,
                           java.lang.String[] buttons)

### ListEditorPanel

    public ListEditorPanel(java.util.EventListener ml,
                           java.lang.String label,
                           boolean minimise,
                           javax.swing.JComponent component,
                           java.lang.String[] buttons)

Method Detail

### isListItem

    public boolean isListItem()

  Description copied from interface: `IXEditorPanel`
  Checks whether the item component can take lists (e.g. JList/JComboBox)

  Specified by:
    `isListItem` in interface `IXEditorPanel`
  Overrides:
    `isListItem` in class `AbstractEditorPanel`

### getData

    public java.lang.Object getData()

  Gets the current data of a collection component.

  Specified by:
    `getData` in interface `IXEditorPanel`
  Specified by:
    `getData` in class `AbstractEditorPanel`
  Returns:
    an object that is an array of objects taken from the component.

### setListData

    public void setListData(java.lang.Object[] data)

### setData

    public void setData(java.lang.Object data)

  Sets the data of a collection component.

  Specified by:
    `setData` in interface `IXEditorPanel`
  Specified by:
    `setData` in class `AbstractEditorPanel`
  Parameters:
    `data` - an array of objects that is to be used as the data

### removeData

    public void removeData()

  Description copied from interface: `IXEditorPanel`
  Removes all data from the item component

  Specified by:
    `removeData` in interface `IXEditorPanel`
  Specified by:
    `removeData` in class `AbstractEditorPanel`

### setSelectedIndex

    public void setSelectedIndex(int index)

### getSelectedIndex

    public int getSelectedIndex()

### setSelectedObject

    public void setSelectedObject(java.lang.Object object)

### getSelectedObject

    public java.lang.Object getSelectedObject()

### setRenderer

    public boolean setRenderer(javax.swing.ListCellRenderer r)

  Description copied from interface: `IXEditorPanel`
  Sets the renderer if the itemComponent is a JList or a JComboBox;

  Specified by:
    `setRenderer` in interface `IXEditorPanel`
  Specified by:
    `setRenderer` in class `AbstractEditorPanel`
  Returns:
    true if the renderer was set, false if not.

### addListSelectionListener

    public void addListSelectionListener(javax.swing.event.ListSelectionListener lsl)

### removeListSelectionListener

    public void removeListSelectionListener(javax.swing.event.ListSelectionListener lsl)

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent lse)

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD